package com.FranckBarbier.Java._Pedagogical_RSA;

public class Pedagogical_RSA {

    public static void main(String[] args) {
        long p = 11L, q = 23L, n = p * q, phi_of_n = (p - 1) * (q - 1), e = 29L;
        Euclid euclid = new Euclid(e, phi_of_n);
        System.out.println("gcd(" + euclid.gcd() + ") = a(" + euclid.a() + ") * x(" + euclid.x() + ") + b(" + euclid.b() + ") * y(" + euclid.y() + ")");
        try {
            long[] d = euclid.solver(1L);
            System.out.println("d: " + d[0]);
        } catch (Exception exception) {
            System.err.println(exception.getMessage());
        }
        char[] message = {'J'/*,'o','s','e','p','h'*/};
        try {
            Pedagogical_RSA_encryptor prsae = new Pedagogical_RSA_encryptor(message);
            System.out.println("message: " + prsae.message());
            prsae.encrypt(n, euclid);
            System.out.println("message: " + prsae.message());
            prsae.decrypt();
            System.out.println("message: " + prsae.message());
        } catch (Exception exception) {
            System.err.println(exception.getMessage());
        }
    }
}
